# class DOMException

#### package js.html

Available on HTML5

The `DOMException` interface represents an abnormal event (called an exception) which occurs as a result of calling a method or accessing a property of a web API. This is basically how error conditions are described in web APIs.

Documentation DOMException by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DOMException

### Constructor

###

`new (message:String = "", ?name:String)`

Throws:

`null` | DOMError

### Variables

###

`read onlycode:Int`

###

`read onlycolumnNumber:Int`

###

`read onlydata:Dynamic`

###

`read onlyfilename:String`

###

`read onlylineNumber:Int`

###

`read onlymessage:String`

###

`read onlyname:String`

###

`read onlyresult:Int`

###

`read onlystack:String`

### Static variables

###

`staticinline read onlyABORT_ERR:Int = 20`

###

`staticinline read onlyDATA_CLONE_ERR:Int = 25`

###

`staticinline read onlyDOMSTRING_SIZE_ERR:Int = 2`

###

`staticinline read onlyHIERARCHY_REQUEST_ERR:Int = 3`

###

`staticinline read onlyINDEX_SIZE_ERR:Int = 1`

###

`staticinline read onlyINUSE_ATTRIBUTE_ERR:Int = 10`

###

`staticinline read onlyINVALID_ACCESS_ERR:Int = 15`

###

`staticinline read onlyINVALID_CHARACTER_ERR:Int = 5`

###

`staticinline read onlyINVALID_MODIFICATION_ERR:Int = 13`

###

`staticinline read onlyINVALID_NODE_TYPE_ERR:Int = 24`

###

`staticinline read onlyINVALID_STATE_ERR:Int = 11`

###

`staticinline read onlyNAMESPACE_ERR:Int = 14`

###

`staticinline read onlyNETWORK_ERR:Int = 19`

###

`staticinline read onlyNOT_FOUND_ERR:Int = 8`

###

`staticinline read onlyNOT_SUPPORTED_ERR:Int = 9`

###

`staticinline read onlyNO_DATA_ALLOWED_ERR:Int = 6`

###

`staticinline read onlyNO_MODIFICATION_ALLOWED_ERR:Int = 7`

###

`staticinline read onlyQUOTA_EXCEEDED_ERR:Int = 22`

###

`staticinline read onlySECURITY_ERR:Int = 18`

###

`staticinline read onlySYNTAX_ERR:Int = 12`

###

`staticinline read onlyTIMEOUT_ERR:Int = 23`

###

`staticinline read onlyTYPE_MISMATCH_ERR:Int = 17`

###

`staticinline read onlyURL_MISMATCH_ERR:Int = 21`

###

`staticinline read onlyVALIDATION_ERR:Int = 16`

###

`staticinline read onlyWRONG_DOCUMENT_ERR:Int = 4`